#include "kbengbox.h"
#include <qapplication.h>

QBengBox::QBengBox(QWidget *parent, const char *name, WFlags f)
		: QCanvasView(parent, name, f) {
	bc = new BengCanvas();
	setCanvas(bc);
	setVScrollBarMode(AlwaysOff);
	setHScrollBarMode(AlwaysOff);
}
QBengBox::~QBengBox() {
	delete bc;
}
void
QBengBox::resizeEvent(QResizeEvent *e) {
	bc->resize(width(), height());
	QCanvasView::resizeEvent(e);
}
int main(int argc, char **argv) {
	QApplication a( argc, argv );

	QBengBox qbb;
        a.setMainWidget( &qbb );
	qbb.show();
	return a.exec();
}
